---
title: "Look up a Tulip Table"
slug: "look-up-a-tulip-table"
updated: 2026-04-02T17:37:08Z
published: 2026-04-02T17:37:27Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.tulip.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Look up a Tulip Table

Get/tables/{tableId}

Gets details about a Tulip Table's metadata and schema.

Requires the `tables:read` API key scope.

SecurityHTTPType basic

Access to the Tulip API requires the use of [HTTP Basic Authentication](https://datatracker.ietf.org/doc/html/rfc7617) using the credentials of an active [Tulip API Token](https://support.tulip.co/docs/set-up-a-tulip-api). All requests require the `Authorization` HTTP header with the `Basic` scheme to provide API credentials unless otherwise noted.

API tokens can be configured with a set of *scopes* which determine what parts of the API that specific token has access to. Security best practices dictate that API credentials be given the minimum set of capabilities required to fulfill their intended purpose. For example, an API token created for use in an integration that is only designed to use the Tables API should probably only be given the `tables:read` and `tables:write` scopes. In this way you can minimize risk in the event that API credentials are compromised. API endpoints will document what API token scopes are required to access that endpoint in their descriptions. If a request is made to an endpoint with an API token which does not have the required scopes, the response will be an authorization error.

Path parameterstableIdstringRequired

The id of a Tulip Table.

Pattern^[a-zA-Z0-9_]+$Exampleg56RCoZCtzv7borvp

Responses200

The Tulip Table was retrieved successfully.

<select class='api-response-data' aria-label='Media type'><option value='ec136fe6-5fdb-4721-bbd7-d7b2ac526d22'>application/json</option>
</select>Expand Allobject  Example{
  "id": "gthSX9t3tY2cJfBWe",
  "label": "Bike",
  "description": "A Bicycle",
  "createdAt": "2019-01-15T17:30:01.244Z",
  "createdBy": "N24uug8iXSTWR39rB",
  "updatedAt": "2019-01-15T17:31:20.002Z",
  "updatedBy": "N24uug8iXSTWR39rB",
  "columns": [
    {
      "name": "id",
      "label": "ID",
      "description": "",
      "dataType": {
        "type": "string"
      },
      "hidden": false,
      "unique": true
    },
    {
      "name": "ahvbb_model_number",
      "label": "Model Number",
      "description": "",
      "dataType": {
        "type": "string"
      },
      "hidden": false,
      "unique": false
    },
    {
      "name": "auznd_color",
      "label": "Color",
      "description": "",
      "dataType": {
        "type": "string"
      },
      "hidden": false,
      "unique": false
    },
    {
      "name": "irrip_completed",
      "label": "Completed",
      "description": "",
      "dataType": {
        "type": "boolean"
      },
      "hidden": false,
      "unique": false
    },
    {
      "name": "umiyk_durability_test_duration",
      "label": "Durability Test Duration",
      "description": "",
      "dataType": {
        "type": "interval"
      },
      "hidden": false,
      "unique": false
    }
  ]
}idExampleg56RCoZCtzv7borvp
createdAt
createdByExampleg56RCoZCtzv7borvp
updatedAt
updatedByExampleg56RCoZCtzv7borvp
deletedAtstring  (date-time)    
deletedBystring    Pattern^[a-zA-Z0-9_]+$Exampleg56RCoZCtzv7borvp
labelstring    

The display label for this Table.

descriptionstring    

A long-form description for this Table.

columns Array of object (TulipTableColumn)   object  Example{
  "name": "ahvbb_model_number",
  "label": "Model Number",
  "description": "",
  "dataType": {
    "type": "string"
  },
  "hidden": false,
  "unique": false
}namestring    

The internal id of this column.

Pattern^[a-zA-Z][a-zA-Z0-9_]*$
labelstring    

The display label for this column.

descriptionstring    

A long-form description for this column.

dataTypeobject (TypedObjectType)  

The type of a value in Tulip.

typestring    Valid values[
  "boolean",
  "string",
  "float",
  "integer",
  "interval",
  "timestamp",
  "imageUrl",
  "user",
  "color"
]ExampleimageUrl

hiddenboolean    

Whether this column is hidden from the UI or not.

uniqueboolean    

Whether values in this column are required to be unique or not.

400

The request was malformed. This could mean that headers, query parameters, or the request body was unable to be parsed or had unexpected values.

<select class='api-response-data' aria-label='Media type'><option value='f270c80f-0196-47a2-acb7-8e018796743f'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring    

401

The request was made unauthorized. HTTP Basic Authorization using a Tulip API Key is required for use of the API.

<select class='api-response-data' aria-label='Media type'><option value='00fad229-4928-4f8a-aeea-ed475f20cbaf'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring    

403

The provided authentication info was rejected. The response will provide additional details.

<select class='api-response-data' aria-label='Media type'><option value='8b882a8d-dc12-4ac6-86ed-70ab5a36175e'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring    

404

The requested database entry was not found.

<select class='api-response-data' aria-label='Media type'><option value='f158aaf9-3a2d-4609-9c3f-b33db8caf4cc'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring    

429

The limit for this asset has been reached.

<select class='api-response-data' aria-label='Media type'><option value='8c09d354-58d4-4b8b-b841-d1aed4714880'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring    

500

The server encountered an unexpected error.

<select class='api-response-data' aria-label='Media type'><option value='e9a8ec9c-4b55-4e27-aa3e-8613e3d82233'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring
